Get API-created crypto transactions for your business. Required scope: crypto-transaction:read.
Authorization
oauth2ClientCredentials crypto-transaction:readAuthorizationBearer <token>
Use your OAuth client credentials to obtain a short-lived Bearer token from POST /oauth/token.
In: header
Scope: crypto-transaction:read
Query Parameters
wallet_id?string
customer_id?string
Filter transactions by customer ID.
status?string
Value in
- "processing"
- "successful"
- "failed"
type?string
Value in
- "payout"
- "swap"
direction?string
Value in
- "in"
- "out"
start_date?string
Format
dateend_date?string
Format
datesearch_term?string
per_page?integer
Range
1 <= value <= 100Default
10Response Body
application/json
List crypto transactions
curl --request GET \ --url 'https://example.com/api/external/crypto/transactions'{ "data": [ { "id": "transaction-id", "wallet_id": "wallet-id", "customer_id": "customer-id", "type": "payout", "status": "processing", "reference": "CRYPTO-REF", "currency": "USDC", "amount": "100.000000" } ], "current_page": 1, "per_page": 10, "total": 1}GETList crypto wallet transactions
Get API-created crypto transactions for one wallet. Required scope: `crypto-transaction:read`.
GETGet a crypto transaction
Get one API-created crypto transaction. An active on-chain payout returns `processing`. A payout that ends unsuccessfully returns `failed`. Required scope: `crypto-transaction:read`.